# Note that this is NOT a relocatable package
%define ver      1.0.4
%define rel      34
%define prefix   /usr

# temporary - quicklaunch applet version
%define quickver 0.8

Summary: The core programs for the GNOME GUI desktop environment.
Name: gnome-core
Version: %ver
Release: %rel
Copyright: LGPL
Group: User Interface/Desktops
Source: ftp://ftp.gnome.org/pub/gnome-core-%{ver}.tar.gz
Source1: netscape.png
Source2: Settings.order
Source3: http://members.xoom.com/fabiofb/quicklaunch/quicklaunch_applet-%{quickver}.tar.gz
Source4: Gnome.session

Patch1: gnome-core-1.0.4-defaults.patch
Patch2: gnome-core-1.0.0-smallpager.patch
Patch3: gnome-core-1.0.0-smallfont.patch
Patch4: gnome-core-mergerhmenus.patch
Patch5: gnome-core-1.0.3-kdemenus.patch

Patch6: gnome-core-1.0.3-helpbrowser-tmpfile.patch
Patch7: gnome-core-1.0.4-smfixes.patch

# not in cvs yet
Patch20: gnome-core-quicklaunch-make.patch
Patch21: gnome-core-quicklaunch-addhandle.patch

# new session code from owen
Patch22: gnome-core-1.0.4-newsession-1.patch

Patch23: gnome-core-1.0.4-nodisc.patch

Patch24: gnome-core-1.0.4-cdquiet.patch
Patch25: gnome-core-1.0.4-fixmixer.patch
Patch26: gnome-core-1.0.4-gmenuquiet.patch
Patch27: gnome-core-1.0.4-nofortune.patch
Patch28: gnome-core-1.0.4-htmlicon.patch
Patch29: gnome-core-1.0.4-mergerhmenus2.patch

Patch30: gnome-core-1.0.4-splash.patch

Patch40: gnome-core-1.0.4-hbquiet.patch
Patch41: gnome-core-1.0.4-radio.patch
Patch42: gnome-core-1.0.4-asclocksecure.patch
Patch43: gnome-core-1.0.4-asclock.patch
Patch44: gnome-core-1.0.4-hbfixlangs.patch

Patch50: gnome-core-1.0.4-pager_resize_wmaker.patch
Patch51: gnome-core-1.0.4-pager_toobig.patch
Patch52: gnome-core-1.0.4-initvar.patch
Patch53: gnome-core-1.0.4-nohttp.patch
Patch54: gnome-core-1.0.4-gdmlang.patch
Patch55: gnome-core-1.0.4-pagerdrawloop.patch
Patch56: gnome-core-1.0.4-fixleaks.patch


BuildRoot: /var/tmp/gnome-core-%{PACKAGE_VERSION}-root
Obsoletes: gnome
URL: http://www.gnome.org
#Prereq: /sbin/install-info
Docdir: %{prefix}/doc

Requires: enlightenment >= 0.15.0
Requires: xscreensaver
Requires: redhat-logos

%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  GNOME is similar in purpose and
scope to CDE and KDE, but GNOME is based completely on Open Source
software.  The gnome-core package includes the basic programs and
libraries that are needed to install GNOME.

You should install the gnome-core package if you would like to use the
GNOME desktop environment.  You'll also need to install the gnome-libs
package.  If you want to use linuxconf with a GNOME front end, you'll
also need to install the gnome-linuxconf package.

%package devel
Summary: GNOME core libraries, includes and more.
Group: Development/Libraries
Requires: gnome-core = %{PACKAGE_VERSION}
Requires: gnome-libs-devel

%description devel
Panel libraries and header files for creating GNOME panels.

%changelog

* Mon Apr 19 1999 Michael Fulbright <drmike@redhat.com>
- fix leaks in gnome-pager

* Fri Apr 16 1999 Michael Fulbright <drmike@redhat.com>
- pager fix for infinite redraws
- turned off http transport in help browser (it is not a web browser)
- patch to gnome-session to read GDM_LANG env and set LANG,etc properly


* Thu Apr 15 1999 Michael Fulbright <drmike@redhat.com>
- another fix for pager

* Wed Apr 14 1999 Michael Fulbright <drmike@redhat.com>
- remove out-of-date documentaton
- applied patch that affected gnome pager if you switched window managers

* Mon Apr 12 1999 Michael Fulbright <drmike@redhat.com>
- fixed splash screen sm handling
- changed gnome-terminal to use 'fixed' by defualt
- made help-browser not spout out debugging info

* Wed Apr 7 1999 Michael Fulbright <drmike@redhat.com>
- fixed many warning messages and other visual glitches

* Mon Apr 5 1999 Michael Fulbright <drmike@redhat.com>
- updates to owen's session management code
- fixed cdplayer_applet to work if no disc in initially
- included asclock theme data in file list

* Thu Apr 1 1999 Owen Taylor <otaylor@redhat.com>
- updates for gnome-core-1.0.4. 
- changes to provide a simpler session management UI

* Thu Apr 1 1999 Michael Fulbright <drmike@redhat.com>
- added handle and incorporated quicklaunch-applet 0.8

* Sun Mar 28 1999 Michael Fulbright <drmike@redhat.com>
- added devel requirement for gnome-libs-devel and removed prereq for 
  install-info

* Tue Mar 23 1999 Michael Fulbright <drmike@redhat.com>
- added gdm session script for GNOME
- patched help browser to resize properly

* Mon Mar 22 1999 Michael Fulbright <drmike@redhat.com>
- added quicklaunch applet

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Thu Mar 18 1999 Michael Fulbright <drmike@redhat.com>
- fix from ewt to make menubar not show up on initilization if not set on

* Tue Mar 16 1999 Michael Fulbright <drmike@redhat.com>
- make all tiles grey by default
- reverted gsm code back to 1.0.1 code so startup properties will work
- made misc-fixed font default so we get pipe characters back
- moved /etc/X11/applink to /etc/X11/applnk

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- rebuilt against libghttp 1.0.0
- added kde menu reading code

* Thu Mar 11 1999 Michael Fulbright <drmike@redhat.com>
- added requirement for enlightenment
- added code to merge RH gnome desktop entries into panel menu

* Wed Mar 10 1999 Michael Fulbright <drmike@redhat.com>
- rebuild against gnome-libs with db1

* Sun Feb 21 1999 Michael Fulbright <drmike@redhat.com>
- removed libtoolize from %build

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- 0.99.8.1 release
- replaced bad netscape.png with acceptable one
- updated file list

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- 0.99.8 release

* Mon Feb 08 1999 Michael Fulbright <drmike@redhat.com>
- 0.99.7 release with empty dir panel menu hack

* Sat Feb 06 1999 Michael Fulbright <drmike@redhat.com>
- fixed default session to use enlightenment (again)

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5.1

* Fri Jan 22 1999 Michael Fulbright <drmike@redhat.com>
- fixed default session to run enlightenment

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.3.2

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.2

* Thu Dec 17 1998 Michael Fulbright <drmike@redhat.com>
- hacked in new default page and logo for help-browser

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.0 for GNOME freeze

* Sat Nov 21 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- Cleaned %files section
- added spanish and french translations for rpm

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>
- Built 0.30 release

* Fri Mar 13 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-core CVS source tree

%prep
%setup -q

%patch1 -p1 -b .defaults
%patch2 -p1 -b .smallpager
%patch3 -p1 -b .smallfont
%patch4 -p1 -b .mergerhmenus
%patch5 -p1 -b .kdemenus
%patch6 -p1 -b .helpbrowser-tmpfile
%patch7 -p1 -b .smfixes

# add quicklauch applet
cd $RPM_BUILD_DIR/gnome-core-%{PACKAGE_VERSION}/applets
tar xzvf %{SOURCE3}

cd ..
%patch20 -p1 -b .make
%patch21 -p1 -b .addhandle

# session code from owen
%patch22 -p1 -b .newsession

%patch23 -p1 -b .nodisc
%patch24 -p1 -b .cdquiet
%patch25 -p1 -b .fixmixer
%patch26 -p1 -b .gmenuquiet
%patch27 -p1 -b .nofortune
%patch28 -p1 -b .htmlicon
%patch29 -p1 -b .mergerhmenus2

%patch30 -p1 -b .splash

%patch40 -p1 -b .hbquiet
%patch41 -p1 -b .radio
%patch42 -p1 -b .asclock_secure
%patch43 -p1 -b .asclock
%patch44 -p1 -b .hbfixlangs

%patch50 -p1 -b .fixpagerresize
%patch51 -p1 -b .pagertoobig
%patch52 -p1 -b .initvar
%patch53 -p1 -b .nohttp
%patch54 -p1 -b .gdmlang
%patch55 -p1 -b .pagerdrawloop

%build

CFLAGS="-DHAVE_CONTROL_CENTER $RPM_OPT_FLAGS" ./configure --prefix=%prefix --with-window-manager=enlightenment --sysconfdir=/etc

make

# quicklaunch applet
cd $RPM_BUILD_DIR/gnome-core-%{PACKAGE_VERSION}/applets/quicklaunch_applet-%{quickver}
make


%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc install

# quick launch
cd $RPM_BUILD_DIR/gnome-core-%{PACKAGE_VERSION}/applets/quicklaunch_applet-%{quickver}
make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc install


#
# this is in gnome-libs now?
#
#rm -f $RPM_BUILD_ROOT%{prefix}/share/pixmaps/gnome-default.png

cp %{SOURCE1} $RPM_BUILD_ROOT%{prefix}/share/pixmaps/
cp %{SOURCE2} $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Settings/.order

#
# clean out unneeded desktop entries
#
rm -f $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Applications/Netscape.desktop
rm -f $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Applications/Emacs.desktop
rm -f $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Applications/GIMP.desktop

# strip binaries
file $RPM_BUILD_ROOT/%{prefix}/bin/* | awk -F':' '/executable/ { print $1 }' | xargs -n 1 strip

# gdm session file
mkdir -p $RPM_BUILD_ROOT/etc/X11/gdm/Sessions
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT/etc/X11/gdm/Sessions/Gnome

# remove out of date docs
rm -rf $RPM_BUILD_ROOT%{prefix}/share/gnome/help/gnome-intro

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/lib/lib*.so.*
%{prefix}/share/applets
%{prefix}/share/asclock
%{prefix}/share/mc/templates
%{prefix}/share/locale/*/*/*
%{prefix}/share/pixmaps/*
%{prefix}/share/xmodmap/*
%config %{prefix}/share/panelrc
%{prefix}/share/gnome/apps/*
%{prefix}/share/gnome/apps/.order
%{prefix}/share/gnome/help/*
%config %{prefix}/share/gnome/default.session
#%config %{prefix}/share/default.wm
%config /etc/CORBA/servers/*
%config /etc/sound/events/*
%config /etc/X11/gdm/Sessions/Gnome

%files devel
%defattr(-, root, root)

%{prefix}/lib/*.sh
%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/include/*
%{prefix}/share/idl
